Skip to main content
PATCH
Update membership

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

membershipId
number
required
teamId
required

The team's uuid (preferred), its short-uuid (Flickr Base58) form, or its numeric id.

Body

application/json
accepted
boolean
role
enum<string>
Available options:
MEMBER,
OWNER,
ADMIN
disableImpersonation
boolean

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required